@charset "UTF-8";
/* reset */
@import url("https://cdnjs.cloudflare.com/ajax/libs/pretendard/1.3.9/static/pretendard.css");
@import url("https://cdn.jsdelivr.net/gh/fonts-archive/Paperlogy/subsets/Paperlogy-dynamic-subset.css");
* {
  padding: 0;
  margin: 0;
  box-sizing: border-box;
  -webkit-box-sizing: border-box;
  -moz-box-sizing: border-box;
}
*::after {
  box-sizing: border-box;
}
*::before {
  box-sizing: border-box;
}

html,
body,
div,
span,
applet,
object,
iframe,
h1,
h2,
h3,
h4,
h5,
h6,
p,
blockquote,
pre,
a,
abbr,
acronym,
address,
big,
cite,
code,
del,
dfn,
em,
img,
ins,
kbd,
q,
s,
samp,
small,
strike,
strong,
sub,
sup,
tt,
var,
b,
u,
i,
center,
dl,
dt,
dd,
ol,
ul,
li,
fieldset,
form,
label,
legend,
table,
caption,
tbody,
tfoot,
thead,
tr,
th,
td,
article,
aside,
canvas,
details,
embed,
figure,
figcaption,
footer,
header,
hgroup,
menu,
nav,
output,
ruby,
section,
summary,
time,
mark,
audio,
video,
address {
  border: 0;
  font-size: inherit;
  font-style: normal;
  vertical-align: top;
}

article,
aside,
details,
figcaption,
figure,
footer,
header,
hgroup,
menu,
nav,
section {
  display: block;
}

html {
  font-size: 16px;
}

html,
body {
  height: 100%;
}

body {
  line-height: 1;
}

a {
  color: inherit;
  text-decoration: none;
}

button,
input,
select,
textarea {
  font: inherit;
  color: inherit;
  background-color: transparent;
  border: 0;
}
button:focus,
input:focus,
select:focus,
textarea:focus {
  outline: none;
  box-shadow: none;
}

a,
button {
  cursor: pointer;
  -webkit-tap-highlight-color: transparent;
}

ul,
ol {
  list-style: none;
}

table {
  width: 100%;
  border-collapse: collapse;
  border-spacing: 0;
}

/* SCSS 변수 정의 */
/* CSS 변수 등록 */
:root {
  --red: #e44359;
  --orange: #f3a01c;
  --brown: #b56a00;
  --green: #06b10a;
  --blue: #3285ff;
  --cyan: #6ab0ff;
  --purple: #844ff2;
  --textColor: #222;
  --textColorMain: #000;
  --primaryColorL: #578af8;
  --primaryColor: #326be6;
  --primaryColorD: #21499e;
  --secondaryColorL: #fcd600;
  --secondaryColor: #f7b605;
  --secondaryColorD: #f89602;
  --tertiaryColorL: #29f0ad;
  --tertiaryColor: #00d68f;
  --tertiaryColorD: #00af75;
  --gray100: #f3f3f3;
  --gray200: #e0e0e0;
  --gray900: #222;
  --tBasic: 1rem;
  --t4: 0.875rem;
  --t6: 1.125rem;
  --spaceXS: 6px;
  --spaceS: 12px;
  --spaceM: 25px;
  --spaceL: 50px;
  --spaceXL: 100px;
  --btnHeight: 44px;
  --btnRadius: 8px;
  --btnPadding: 12px;
  --scrollWidth: 5px;
  --siteWidth: 100%;
}

/* scrollbar */
::-webkit-scrollbar {
  width: var(--scrollWidth);
  height: 10px;
}

::-webkit-scrollbar-track {
  background: rgba(55, 83, 118, 0.3);
  border-radius: 0;
}

::-webkit-scrollbar-thumb {
  background: #7d848d;
  border-radius: 0.625rem;
}

::-webkit-scrollbar-thumb:hover {
  background: #7d848d;
}

/* Mixin */
.succession {
  margin-top: var(--spaceM) !important;
}

.successionS {
  margin-top: var(--spaceS) !important;
}

.successionXS {
  margin-top: var(--spaceXS) !important;
}

.successionL {
  margin-top: var(--spaceL) !important;
}

.successionXL {
  margin-top: var(--spaceXL) !important;
}

.txt-l {
  font-size: 1.125em;
}

.txt-s {
  font-size: 0.875em;
}

.txt-primary {
  color: var(--primaryColor);
}

.txt-secondary {
  color: var(--secondaryColor);
}

.txt-red {
  color: var(--red);
}

th,
td {
  vertical-align: middle;
}

.align-left {
  text-align: left !important;
}

.align-center {
  text-align: center !important;
}

.align-right {
  text-align: right !important;
}

.ui-widget {
  font-size: 1em;
  z-index: 91 !important;
}

.ellipsis {
  display: inline-block;
  white-space: nowrap;
  overflow: hidden;
  text-overflow: ellipsis;
  max-width: 100%;
}

.scroll-area {
  overflow-y: auto;
  flex-grow: 1;
  flex-shrink: 1;
  min-width: 0;
}

.space-gap {
  display: flex;
  align-items: center;
  gap: 30px;
}
.space-gap.xs {
  gap: 6px;
}
.space-gap.sm {
  gap: 15px;
}
.space-gap.lg {
  gap: 60px;
}

table {
  table-layout: fixed;
}

strong,
b,
th,
dt {
  font-weight: 700;
}

/***************************************** Basic *****************************************/
html {
  font-size: 14px;
}

body {
  font-family: "Paperlogy", -apple-system, BlinkMacSystemFont, "Pretendard", Roboto, Oxygen, Ubuntu, Cantarell, "Open Sans", "Helvetica Neue", sans-serif;
  line-height: 1.3;
  letter-spacing: 0;
  color: var(--textColor);
  font-weight: 400;
}

input:not([type=checkbox], [type=radio], [type=submit], [type=range]),
textarea,
select {
  height: var(--btnHeight);
  line-height: calc(var(--btnHeight) - 2px);
  background: #fff;
  text-indent: 0;
  padding: 0 40px 0 var(--btnPadding);
  border-radius: var(--btnRadius);
  border: 1px solid var(--gray200);
  width: 100%;
  font-size: 1em;
}

input:not([type=checkbox], [type=radio], [type=submit]):focus,
textarea:focus {
  border-color: var(--primaryColorL);
}

input:not([type=checkbox], [type=radio], [type=submit])::-moz-placeholder, textarea::-moz-placeholder {
  color: #aaa;
}

input:not([type=checkbox], [type=radio], [type=submit])::placeholder,
textarea::placeholder {
  color: #aaa;
}

input[type=number]::-webkit-outer-spin-button,
input[type=number]::-webkit-inner-spin-button {
  -webkit-appearance: none;
          appearance: none;
}

input[type=search]::-webkit-search-cancel-button,
input[type=search]::-webkit-search-decoration,
input[type=search]::-webkit-search-results-button,
input[type=search]::-webkit-search-results-decoration {
  -webkit-appearance: none;
          appearance: none;
  display: none;
}

input:not([type=checkbox], [type=radio], [type=submit], [type=range]):-moz-read-only {
  background-color: rgba(0, 0, 0, 0.02);
}

input:not([type=checkbox], [type=radio], [type=submit], [type=range]):read-only {
  background-color: rgba(0, 0, 0, 0.02);
}

input:not([type=checkbox], [type=radio], [type=submit], [type=range]):disabled {
  pointer-events: none;
  opacity: 0.45;
  background-color: rgba(0, 0, 0, 0.05);
}

input[type=password] {
  font-family: sans-serif !important;
}

input[type=color] {
  -webkit-appearance: none;
     -moz-appearance: none;
          appearance: none;
  border: 0;
  background-color: transparent;
  padding: 0;
  cursor: pointer;
}

input[type=color]::-webkit-color-swatch-wrapper {
  padding: 0;
}

input[type=color]::-webkit-color-swatch {
  border: none;
  border-radius: 0;
}

input[type=color]::-moz-color-swatch {
  border: none;
  border-radius: 0;
}

textarea {
  height: auto;
  padding: var(--btnPadding);
  line-height: 1.4;
  resize: none;
  display: block;
}
textarea.sizing {
  resize: vertical;
}
textarea:-moz-read-only {
  background-color: rgba(0, 0, 0, 0.03);
}
textarea:read-only {
  background-color: rgba(0, 0, 0, 0.03);
}

.textarea-wrapper {
  padding: var(--btnPadding);
  border: 1px solid var(--gray200);
  border-radius: var(--btnRadius);
}
.textarea-wrapper textarea {
  padding: 0;
  border-radius: 0;
  border: 0;
}

select {
  background-image: url(../img/icon_select.svg);
  background-repeat: no-repeat;
  background-position: right 12px center;
  background-size: 24px;
  padding-right: 50px;
  -webkit-appearance: none;
     -moz-appearance: none;
          appearance: none;
}

input[type=checkbox],
input[type=radio] {
  flex-shrink: 0;
  width: 16px;
  height: 16px;
  -webkit-appearance: none;
     -moz-appearance: none;
          appearance: none;
  background-repeat: no-repeat;
  background-position: left bottom;
  background-size: contain;
  vertical-align: middle;
}

input[type=checkbox] {
  background-image: url(../img/checkbox.svg);
}
input[type=checkbox]:checked {
  background-image: url(../img/checkbox_checked.svg);
}
input[type=checkbox]:disabled {
  background-image: url(../img/checkbox_disabled.svg);
}
input[type=checkbox]:checked:disabled {
  background-image: url(../img/checkbox_checked.svg);
  opacity: 0.4;
}

input[type=radio] {
  background-image: url(../img/radio.svg);
}
input[type=radio]:checked {
  background-image: url(../img/radio_checked.svg);
}
input[type=radio]:disabled {
  background-image: url(../img/radio_disabled.svg);
}
input[type=radio]:checked:disabled {
  background-image: url(../img/radio_checked.svg);
  opacity: 0.4;
}

.range-field {
  width: 100%;
}
.range-field input[type=range] {
  width: 100%;
  margin: 0;
  cursor: pointer;
}

.range-head {
  display: flex;
  justify-content: space-between;
  align-items: center;
  margin-bottom: 2px;
  line-height: 1;
}
.range-head label {
  font-size: 0.8em;
  color: #bbb;
}
.range-head output {
  font-size: 0.85em;
  font-weight: 700;
}

label.check {
  display: inline-flex;
  gap: 6px;
  align-items: center;
  flex-shrink: 0;
  line-height: 1;
  cursor: pointer;
}
label.check span {
  white-space: nowrap;
}
label.check input:disabled + span {
  opacity: 0.4;
}
label.check.type-btn input {
  display: none;
}
label.check.type-btn span {
  display: flex;
  justify-content: center;
  align-items: center;
  height: var(--btnHeight);
  background-color: #fff;
  border: 1px solid var(--gray200);
  color: rgba(0, 0, 0, 0.3);
  font-weight: 500;
  width: 100%;
  border-radius: var(--btnRadius);
  text-transform: capitalize;
}
label.check.type-btn input:checked + span {
  border-color: var(--primaryColor);
  color: var(--primaryColor);
}

:root {
  --swiper-navigation-size: 1.125rem;
  --swiper-theme-color: #005cfc;
}

.swiper-button-next:after,
.swiper-button-prev:after {
  font-weight: 900;
}

.swiper-button-next {
  right: 0;
  color: var(--textColor);
}

.swiper-button-prev {
  left: 0;
  color: var(--textColor);
}

.swiper-pagination-bullet {
  width: 0.625rem;
  height: 0.625rem;
  opacity: 1;
  background-color: transparent;
  border: 0.063rem solid var(--primaryColor);
}

.swiper-pagination-bullet-active {
  background-color: var(--primaryColor);
}

@property --angle {
  syntax: "<angle>";
  initial-value: 135deg;
  inherits: false;
}
.ibtn {
  flex-shrink: 0;
  display: inline-flex;
  align-items: center;
  justify-content: center;
  gap: 8px;
  line-height: 0;
  height: var(--btnHeight);
  background-color: var(--gray200);
  border: 1px solid transparent;
  border-radius: var(--btnRadius);
  padding: 0 15px;
  font-size: 1.1rem;
  font-weight: 500;
}
.ibtn.default {
  background-color: #fff;
  border-color: rgba(0, 0, 0, 0.2);
  color: rgba(34, 34, 34, 0.5);
}
.ibtn.primary {
  background-color: var(--primaryColor);
  color: #fff;
}
.ibtn.primary.line {
  border-color: var(--primaryColor);
  color: var(--primaryColor);
  background-color: #fff;
}
.ibtn.secondary {
  background-color: var(--secondaryColor);
  color: #fff;
}
.ibtn.gradient {
  background: linear-gradient(var(--angle), #326be6 0%, #7c2ccc 100%);
  transition: --angle 0.3s;
  color: #fff;
  box-shadow: 3px 3px 10px rgba(33, 73, 158, 0.3);
  text-shadow: 1px 1px 10px rgba(0, 0, 0, 0.5);
  border-color: #fff;
}
.ibtn.gradient:hover {
  --angle: -165deg;
}
.ibtn.lg {
  height: 56px;
  border-radius: 100px;
  padding: 0 50px;
}
.ibtn.sm {
  font-size: 0.85rem;
  padding: 0 12px;
  height: 32px;
  gap: 6px;
  font-weight: 400;
}
.ibtn.full {
  width: 100%;
}
.ibtn:disabled {
  background-color: #e5e5e5 !important;
  border-color: transparent !important;
  color: #aaa !important;
}

.tbtn {
  text-decoration: underline;
}

button:disabled {
  background-image: none !important;
  background-color: #e5e5e5 !important;
  border-color: transparent !important;
  color: #aaa !important;
  box-shadow: none !important;
  text-shadow: none !important;
  cursor: default;
}

i.icon {
  display: inline-flex;
  justify-content: center;
  align-items: center;
  width: 24px;
  aspect-ratio: 1/1;
  background-position: center;
  background-repeat: no-repeat;
  background-size: contain;
  font-size: 0;
}
i.icon::after {
  content: "";
  width: 100%;
  height: 100%;
  background-color: var(--textColor);
  -webkit-mask-position: center;
          mask-position: center;
  -webkit-mask-repeat: no-repeat;
          mask-repeat: no-repeat;
  -webkit-mask-size: contain;
          mask-size: contain;
}
i.icon.image-resize::after {
  -webkit-mask-image: url(../img/icon_resize.svg);
          mask-image: url(../img/icon_resize.svg);
}
i.icon.image-format::after {
  -webkit-mask-image: url(../img/icon_format.svg);
          mask-image: url(../img/icon_format.svg);
}
i.icon.file-name::after {
  -webkit-mask-image: url(../img/icon_file_name.svg);
          mask-image: url(../img/icon_file_name.svg);
}
i.icon.image-crop::after {
  -webkit-mask-image: url(../img/icon_image_crop.svg);
          mask-image: url(../img/icon_image_crop.svg);
}
i.icon.unit::after {
  -webkit-mask-image: url(../img/icon_unit.svg);
          mask-image: url(../img/icon_unit.svg);
}
i.icon.color-converter::after {
  -webkit-mask-image: url(../img/icon_color_converter.svg);
          mask-image: url(../img/icon_color_converter.svg);
}
i.icon.gradient::after {
  -webkit-mask-image: url(../img/icon_gradient.svg);
          mask-image: url(../img/icon_gradient.svg);
}

ul.address {
  display: flex;
  flex-direction: column;
  gap: 6px;
}
ul.address li {
  display: flex;
  gap: 6px;
}
ul.address input.short {
  flex: 0 0 100px;
}

.table-h01 {
  border-top: 1px solid var(--gray900);
}
.table-h01 th,
.table-h01 td {
  text-align: center;
  padding: 12px;
  border-bottom: 1px solid var(--gray200);
  height: var(--btnHeight);
}
.table-h01 thead th {
  border-bottom: 1px solid var(--gray900);
}
.table-h01 tbody th {
  background-color: var(--gray100);
  font-weight: 600;
}

.table-v01 {
  border-top: 1px solid var(--gray900);
}
.table-v01 th,
.table-v01 td {
  text-align: left;
  padding: 12px;
  height: var(--btnHeight);
  border-bottom: 1px solid var(--gray200);
}
.table-v01 th {
  padding-left: 25px;
  padding-right: 25px;
  background-color: var(--gray100);
}

.table-scroll {
  flex-shrink: 1;
  flex-grow: 1;
  overflow-y: auto;
  max-height: 200px;
  min-height: 120px;
  border-top: 1px solid var(--gray900);
}
.table-scroll table {
  border-collapse: separate;
  border-spacing: 0;
}
.table-scroll th,
.table-scroll td {
  text-align: center;
  padding: 12px;
  height: var(--btnHeight);
  border-bottom: 1px solid var(--gray200);
}
.table-scroll thead {
  position: sticky;
  top: 0;
  z-index: 2;
}
.table-scroll thead th {
  background-color: #fff;
  border-bottom: 1px solid var(--gray900);
}
.table-scroll tbody th {
  background-color: var(--gray100);
  font-weight: 600;
}

.grid-expanded {
  grid-column: 1/-1;
}

/***************************************** Customizing *****************************************/
#wrapper {
  display: flex;
  flex-direction: column;
  min-height: 100vh;
  min-width: 1200px;
}

#intro {
  background-color: var(--primaryColor);
  color: #fff;
  min-height: 100vh;
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
}
#intro h1 {
  font-size: 10em;
  font-weight: 900;
  display: flex;
  align-items: center;
  gap: 30px;
}
#intro h1 i {
  width: 140px;
  aspect-ratio: 1/1;
  background-color: #fff;
  -webkit-mask-image: url(../img/symbol.svg);
          mask-image: url(../img/symbol.svg);
  -webkit-mask-position: center;
          mask-position: center;
  -webkit-mask-repeat: no-repeat;
          mask-repeat: no-repeat;
  -webkit-mask-size: contain;
          mask-size: contain;
}
#intro p {
  display: flex;
  gap: 15px;
}
#intro p span {
  display: flex;
  align-items: center;
  gap: 15px;
}
#intro p span:not(:first-child)::before {
  content: "";
  width: 3px;
  height: 3px;
  border-radius: 3px;
  background-color: #fff;
}
#intro nav {
  margin-top: 50px;
}
#intro .ibtn {
  background-color: rgba(255, 255, 255, 0.5);
  color: var(--primaryColor);
  border-radius: 100px;
  font-size: 1rem;
}

.tools-main {
  display: flex;
  align-items: center;
  flex-direction: column;
}
.tools-main header {
  flex-shrink: 0;
  padding: 120px 0 0 0;
  text-align: center;
}
.tools-main header h1 {
  font-size: 4em;
  font-weight: 900;
  color: var(--primaryColor);
}
.tools-main header p {
  font-size: 1.1rem;
}
.tools-main .input-wrapper {
  flex-shrink: 0;
  width: 400px;
  margin-top: 30px;
  display: none;
}
.tools-main input[type=search] {
  border-radius: 100px;
  padding-left: 20px;
  padding-right: 50px;
}
.tools-main .btn-search {
  display: flex;
  background-color: var(--primaryColor);
  -webkit-mask-image: url(../img/icon_search.svg);
          mask-image: url(../img/icon_search.svg);
  -webkit-mask-position: center;
          mask-position: center;
  -webkit-mask-repeat: no-repeat;
          mask-repeat: no-repeat;
  -webkit-mask-size: contain;
          mask-size: contain;
  right: 15px !important;
}
.tools-main ul {
  padding: 50px;
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 20px;
  flex-wrap: wrap;
}
.tools-main ul li {
  flex-shrink: 0;
}
.tools-main ul li a {
  display: flex;
  align-items: center;
  flex-direction: column;
  background-color: var(--gray100);
  border-radius: 10px;
  padding: 15px 20px 20px 20px;
  font-size: 0.9em;
  width: 135px;
}
.tools-main ul i.icon {
  width: 48px;
}
.tools-main .tool-empty {
  display: none;
  font-size: 0.9em;
  color: #999;
  margin-bottom: 50px;
}
.tools-main .btn-all {
  display: none;
  border-radius: 100px;
  font-size: 0.9em;
  padding: 0 30px;
}

#header {
  height: 80px;
  display: flex;
  align-items: center;
  padding: 0 clamp(20px, 2vw, 50px);
  background-color: #fff;
  position: sticky;
  top: 0;
  z-index: 1;
  border-bottom: 1px solid var(--primaryColor);
}
#header h1 {
  font-size: 1.5em;
  text-transform: capitalize;
  color: var(--primaryColor);
  letter-spacing: -0.02em;
  font-weight: 800;
  flex-shrink: 0;
}
#header .btn-prev {
  font-size: 0;
  width: 15px;
  aspect-ratio: 1/1;
  border: 3px solid rgba(0, 0, 0, 0.3);
  border-right: 0;
  border-bottom: 0;
  transform: rotate(-45deg);
  margin-right: 15px;
  flex-shrink: 0;
}
#header nav {
  margin-left: auto;
}
#header nav a {
  text-transform: capitalize;
  font-size: 0.85em;
}
#header .recently {
  display: flex;
  align-items: center;
  gap: 6px;
  margin-left: 30px;
  flex-wrap: wrap;
}
#header .recently .badge {
  padding: 0 12px;
  font-size: 0.8em;
  height: 24px;
  flex-shrink: 0;
}
#header .recently .badge .btn-delete {
  width: 14px;
  margin-right: -5px;
  background-color: #fff;
}
#header .recently .badge .btn-delete::after {
  background-color: rgba(228, 67, 89, 0.4);
}

#footer {
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
  border-top: 1px solid var(--gray200);
  padding: 0 20px;
  font-size: 0.875em;
  height: 126px;
  z-index: 3;
  background-color: #fff;
}
#footer .copyright {
  color: rgba(0, 0, 0, 0.4);
  margin-top: 10px;
}

#main {
  flex-grow: 1;
}

#aside {
  width: 200px;
  box-shadow: 3px 0 3px rgba(0, 0, 0, 0.1);
  padding: 20px;
  transition: all 0.3s;
  position: fixed;
  top: 80px;
  background-color: #fff;
  height: calc(100% - 80px);
  z-index: 2;
}
#aside .btn-panel {
  display: block;
  width: 30px;
  aspect-ratio: 1/1;
  font-size: 0;
  background-color: rgba(0, 0, 0, 0.8);
  -webkit-mask-image: url(../img/icon_panel.svg);
          mask-image: url(../img/icon_panel.svg);
  -webkit-mask-position: center;
          mask-position: center;
  -webkit-mask-repeat: no-repeat;
          mask-repeat: no-repeat;
  -webkit-mask-size: contain;
          mask-size: contain;
  -webkit-mask-size: 24px;
          mask-size: 24px;
  margin-left: auto;
  transform: rotate(180deg);
}
#aside ul {
  margin-top: 10px;
}
#aside li a {
  display: flex;
  align-items: center;
  gap: 8px;
  margin: 12px 0;
}
#aside li a span {
  white-space: nowrap;
  transition: all 0.3s;
  max-width: calc(100% - 54px);
  opacity: 1;
  overflow: hidden;
}
#aside li a.on {
  font-weight: 600;
  color: var(--primaryColor);
}
#aside li a.on i.icon {
  background-color: rgba(87, 138, 248, 0.3);
}
#aside i.icon {
  flex-shrink: 0;
  width: 30px;
  background-color: var(--gray100);
  border-radius: 5px;
}
#aside i.icon::after {
  -webkit-mask-size: 24px;
          mask-size: 24px;
}
#aside.collapsed {
  width: 70px;
}
#aside.collapsed .btn-panel {
  transform: rotate(0deg);
}
#aside.collapsed li a span {
  max-width: 0;
  opacity: 0;
}
#aside.collapsed ~ #contents {
  margin-left: 70px;
}
#aside ~ #contents {
  margin-left: 200px;
}

#contents {
  padding: 40px clamp(20px, 3vw, 50px) 50px clamp(20px, 3vw, 50px);
  flex: 1;
  transition: margin 0.3s;
}

.badge {
  height: 32px;
  padding: 0 18px;
  color: var(--primaryColor);
  background-color: rgba(50, 107, 230, 0.1);
  border-radius: 100px;
  line-height: 0;
  display: flex;
  align-items: center;
  gap: 5px;
}

.h2-header {
  text-align: center;
  margin-bottom: 30px;
}
.h2-header h2 {
  line-height: 1.2;
}
.h2-header p {
  margin-top: 15px;
  color: #888;
  font-size: 1.1rem;
  line-height: 1.2;
}
.h2-header p.alert {
  font-size: 0.9em;
  color: var(--red);
  line-height: 1.2;
  margin-top: 8px;
}

h2 {
  font-size: 1.8rem;
  font-weight: 800;
  line-height: 1;
}

h3 {
  font-size: 1.2rem;
  font-weight: 700;
  line-height: 1;
  text-transform: capitalize;
}

.btn-delete {
  font-size: 0;
  width: 16px;
  aspect-ratio: 1/1;
  border-radius: 10px;
  background-color: var(--red);
  display: flex;
  justify-content: center;
  align-items: center;
}
.btn-delete::after {
  content: "";
  width: 10px;
  aspect-ratio: 1/1;
  background-color: #fff;
  -webkit-mask-image: url(../img/icon_plus.svg);
          mask-image: url(../img/icon_plus.svg);
  -webkit-mask-position: center;
          mask-position: center;
  -webkit-mask-repeat: no-repeat;
          mask-repeat: no-repeat;
  -webkit-mask-size: contain;
          mask-size: contain;
  transform: rotate(45deg);
}

.input-wrapper {
  position: relative;
}
.input-wrapper button {
  font-size: 0;
  width: 20px;
  aspect-ratio: 1/1;
  background-repeat: no-repeat;
  background-size: contain;
  position: absolute;
  top: 50%;
  transform: translateY(-50%);
  display: none;
}
.input-wrapper button.btn-clear {
  background-image: url(../img/btn_clear.svg);
  right: 8px;
}
.input-wrapper button.btn-mask {
  background-image: url(../img/icon_mask.svg);
  right: 32px;
}
.input-wrapper button.btn-mask.active {
  background-image: url(../img/icon_mask_on.svg);
}
.input-wrapper .inner {
  position: absolute;
  top: 50%;
  right: 10px;
  transform: translateY(-50%);
  font-size: 0.85em;
  color: #888;
}

.input-field {
  display: flex;
  align-items: center;
  gap: 10px;
}
.input-field .label {
  font-weight: 600;
  min-width: 100px;
}

.image-resize-area {
  display: flex;
  gap: clamp(20px, 3vw, 50px);
}
.image-resize-area .setting-area .input-field:nth-child(4) {
  justify-content: flex-end;
}
.image-resize-area .setting-area .input-field:nth-child(5),
.image-resize-area .setting-area .input-field:nth-child(6),
.image-resize-area .setting-area .input-field:nth-child(7) {
  grid-column: span 3;
}
.image-resize-area .setting-area .btn-area {
  grid-column: span 3;
  text-align: center;
  margin-top: 20px;
}
.image-resize-area .setting-area .btn-area button {
  width: 200px;
}

.upload-area {
  width: 500px;
  position: relative;
}
.upload-area input[type=file],
.upload-area .preview {
  display: none;
}
.upload-area .drop-area {
  border: 1px dashed rgba(0, 0, 0, 0.2);
  border-radius: var(--btnRadius);
  height: 100%;
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
  gap: 15px;
  padding: 20px;
  background-color: rgba(50, 107, 230, 0.05);
  box-shadow: 0 0 1.5rem rgba(0, 0, 0, 0.05);
}
.upload-area .drop-area p {
  font-size: 0.875em;
  text-align: center;
  word-break: keep-all;
  color: #888;
}
.upload-area .drop-area.dragover {
  border-color: var(--red);
}

.setting-area {
  margin-top: 6px;
  display: grid;
  gap: 20px 10px;
  grid-template-columns: minmax(0, 270px) minmax(0, 270px) 125px;
}
.setting-area h3 {
  grid-column: span 3;
}
.setting-area .input-field {
  min-height: var(--btnHeight);
}
.setting-area .input-field .input-wrapper {
  width: 100%;
}
.setting-area input[name=size-limit-value] {
  width: 120px;
  margin-left: -10px;
}
.setting-area small {
  font-size: 0.875em;
}

.result-area {
  background-color: var(--gray100);
  margin-top: 50px;
  padding: 30px 30px 50px 30px;
  border-radius: var(--btnRadius);
}
.result-area p {
  padding-bottom: 15px;
  border-bottom: 1px solid var(--gray200);
  margin-bottom: 20px;
  line-height: 1;
}
.result-area .file-list li {
  display: flex;
  align-items: center;
  gap: 30px;
  margin-top: 10px;
}
.result-area .file-list li .file-name {
  margin-left: -10px;
  font-size: 0.85em;
}
.result-area .file-list li .file-convert-size {
  color: var(--primaryColor);
}
.result-area .file-list li small {
  font-size: 0.8em;
  color: #999;
}
.result-area .file-list li .preview {
  margin-left: -10px;
  width: 50px;
  aspect-ratio: 1/1;
}
.result-area .file-list li .preview img {
  width: 100%;
  height: 100%;
  -o-object-fit: cover;
     object-fit: cover;
  border-radius: 0;
  border-radius: 4px;
}
.result-area .btn-area {
  margin-top: 35px;
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 20px;
}

.file-progress {
  display: flex;
  align-items: center;
  gap: 8px;
}
.file-progress .progress-bar {
  width: 100px;
  height: 6px;
  overflow: hidden;
  border-radius: 10px;
  background: #ddd;
}
.file-progress .progress-bar span {
  display: block;
  width: 0;
  height: 100%;
  transition: width 0.2s ease;
  background-color: var(--secondaryColor);
}
.file-progress strong {
  font-size: 12px;
  flex: 0 0 35px;
  text-align: right;
}
.file-progress strong.error {
  color: var(--red);
}

.image-crop-area {
  display: grid;
  gap: 50px;
  grid-template-columns: 500px 500px;
  justify-content: center;
}
.image-crop-area .upload-area {
  flex-shrink: 0;
}
.image-crop-area .crop-area {
  flex-shrink: 0;
  display: flex;
  justify-content: center;
  align-items: center;
}
.image-crop-area .crop-area .crop-image {
  position: relative;
  display: inline-block;
  max-width: 100%;
  line-height: 0;
  overflow: hidden;
}
.image-crop-area .crop-area .crop-target {
  display: block;
  max-width: 100%;
  height: auto;
}
.image-crop-area .crop-area .crop-box {
  position: absolute;
  top: 10%;
  left: 10%;
  width: 40%;
  height: 40%;
  border: 2px solid #fff;
  box-shadow: 0 0 0 9999px rgba(0, 0, 0, 0.5);
  cursor: move;
  box-sizing: border-box;
}
.image-crop-area .crop-area .crop-box .handle {
  position: absolute;
  width: 10px;
  height: 10px;
  background: #fff;
  border: 1px solid #333;
}
.image-crop-area .crop-area .crop-box .handle.nw {
  top: -5px;
  left: -5px;
  cursor: nwse-resize;
}
.image-crop-area .crop-area .crop-box .handle.ne {
  top: -5px;
  right: -5px;
  cursor: nesw-resize;
}
.image-crop-area .crop-area .crop-box .handle.sw {
  bottom: -5px;
  left: -5px;
  cursor: nesw-resize;
}
.image-crop-area .crop-area .crop-box .handle.se {
  right: -5px;
  bottom: -5px;
  cursor: nwse-resize;
}
.image-crop-area .crop-area .crop-box .handle.n, .image-crop-area .crop-area .crop-box .handle.s {
  left: 50%;
  width: 20px;
  height: 8px;
  transform: translateX(-50%);
  cursor: ns-resize;
}
.image-crop-area .crop-area .crop-box .handle.e, .image-crop-area .crop-area .crop-box .handle.w {
  top: 50%;
  width: 8px;
  height: 20px;
  transform: translateY(-50%);
  cursor: ew-resize;
}
.image-crop-area .crop-area .crop-box .handle.n {
  top: -5px;
}
.image-crop-area .crop-area .crop-box .handle.s {
  bottom: -5px;
}
.image-crop-area .crop-area .crop-box .handle.e {
  right: -5px;
}
.image-crop-area .crop-area .crop-box .handle.w {
  left: -5px;
}
.image-crop-area .setting-area {
  display: flex;
  flex-direction: column;
}
.image-crop-area .input-field {
  display: grid;
}
.image-crop-area .input-field:nth-of-type(1) .label {
  margin-bottom: -10px;
}
.image-crop-area .input-field:nth-of-type(1) .input-wrapper {
  width: auto;
}
.image-crop-area .input-field:nth-of-type(1) input[name=ratio-value] {
  width: 100px;
  padding-right: 12px;
  margin-left: -20px;
}
.image-crop-area .input-field:nth-of-type(1) .space-gap {
  flex-wrap: wrap;
}
.image-crop-area .input-field:nth-of-type(2) {
  grid-template-columns: minmax(100px, 200px) minmax(100px, 200px);
}
.image-crop-area .input-field:nth-of-type(2) .label {
  grid-column: span 2;
}
.image-crop-area .crop-preview {
  background-color: var(--gray100);
  height: 120px;
  border-radius: 10px;
  padding: 10px;
  display: flex;
  justify-content: center;
  align-items: center;
}
.image-crop-area .crop-preview img {
  display: none;
  max-width: 100%;
  max-height: 100%;
}
.image-crop-area .btn-area {
  grid-column: span 2;
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 20px;
}

.tab-menu {
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 6px;
  margin-bottom: 30px;
}
.tab-menu button {
  display: inline-flex;
  align-items: center;
  padding: 0 25px;
  border: 1px solid transparent;
  background-color: var(--gray100);
  border-radius: 100px;
  color: rgba(0, 0, 0, 0.4);
  height: 42px;
  font-weight: 500;
  text-transform: uppercase;
}
.tab-menu button.on {
  background-color: var(--primaryColor);
  color: #fff;
}

.unit-area {
  display: flex;
  gap: 20px;
}
.unit-area section {
  flex: 1 1 0;
  border: 1px solid var(--gray200);
  border-radius: 15px;
  padding: 30px;
  background-color: rgba(50, 107, 230, 0.05);
}
.unit-area h3 {
  margin-bottom: 15px;
}
.unit-area .input-field {
  display: grid;
  grid-template-columns: 1fr 1fr 100px 1fr;
}
.unit-area .input-field .span3 {
  grid-column: span 3;
}
.unit-area label.check {
  min-width: 0;
}

.decimal {
  display: flex;
  align-items: center;
  gap: 6px;
}
.decimal input {
  width: 60px;
  padding-right: var(--btnPadding);
}

.unit-whole-area {
  border: 1px solid var(--gray200);
  border-radius: 15px;
  padding: 30px;
  margin-top: 30px;
  display: grid;
  grid-template-columns: 1fr 1fr 180px;
  gap: 0 10px;
}
.unit-whole-area h3 {
  margin-bottom: 15px;
  grid-column: span 3;
}
.unit-whole-area header {
  grid-column: span 3;
  display: flex;
  align-items: center;
  gap: 25px;
  background-color: rgba(50, 107, 230, 0.05);
  padding: 10px;
  border-radius: 6px;
  border: 1px solid var(--gray200);
}
.unit-whole-area header select {
  min-width: 200px;
  width: auto;
  font-weight: 600;
}
.unit-whole-area header span.label {
  margin-right: -10px;
}
.unit-whole-area header .input-wrapper {
  max-width: 160px;
}
.unit-whole-area header {
  margin-bottom: 10px;
}
.unit-whole-area .textarea-wrapper:nth-of-type(2) {
  background-color: rgba(50, 107, 230, 0.05);
}
.unit-whole-area .textarea-wrapper:nth-of-type(2) textarea {
  background-color: transparent !important;
}
.unit-whole-area textarea {
  height: 300px;
}
.unit-whole-area footer {
  display: flex;
  flex-direction: column;
  justify-content: center;
  margin-left: 15px;
  gap: 8px;
}

.color-converter {
  display: grid;
  grid-template-columns: repeat(2, minmax(300px, 600px));
  justify-content: center;
  gap: 40px;
}
.color-converter .select-area {
  display: flex;
  flex-direction: column;
}
.color-converter .color-preview {
  flex-grow: 1;
  height: auto;
}

.color-preview {
  display: flex;
  align-items: center;
  justify-content: center;
  position: relative;
  height: 150px;
  border-radius: 20px;
  overflow: hidden;
  box-shadow: 0 0 20px rgba(0, 0, 0, 0.2);
  border: 2px solid #fff;
  color: #fff;
  font-weight: 700;
  text-transform: capitalize;
  font-size: 1.2rem;
}
.color-preview input[type=color] {
  position: absolute;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  opacity: 0;
}

.color-palette {
  margin-top: 15px;
  display: flex;
  gap: 8px;
}
.color-palette button {
  font-size: 0;
  flex-grow: 1;
  aspect-ratio: 1/1;
  border-radius: 6px;
  border: 1px solid rgba(0, 0, 0, 0.15);
}

.color-code-area {
  display: flex;
  flex-direction: column;
  gap: 25px;
  border: 1px solid var(--gray200);
  background-color: rgba(50, 107, 230, 0.05);
  border-radius: 15px;
  padding: 30px;
}
.color-code-area span.label {
  font-weight: 600;
  text-transform: uppercase;
  margin-bottom: 7px;
  margin-left: 2px;
  display: block;
  color: var(--primaryColor);
}
.color-code-area .btn-copy {
  display: inline-flex;
  right: 2px;
  top: auto;
  bottom: 2px;
  transform: none;
  font-size: 1rem;
  width: auto;
  aspect-ratio: auto;
  padding: 0 12px;
  height: 40px;
}

.gradient-generator {
  display: grid;
  grid-template-columns: repeat(2, minmax(300px, 600px));
  justify-content: center;
  gap: 25px 15px;
}
.gradient-generator .preview-area {
  grid-column: span 2;
  display: flex;
  align-items: center;
  justify-content: center;
  position: relative;
  height: 150px;
  border-radius: 20px;
  overflow: hidden;
  box-shadow: 0 0 20px rgba(0, 0, 0, 0.2);
  border: 2px solid #fff;
  color: #fff;
  font-weight: 700;
  text-transform: capitalize;
  font-size: 1.2rem;
}
.gradient-generator .setting-area {
  border: 1px solid var(--gray200);
  background-color: rgba(50, 107, 230, 0.05);
  border-radius: 15px;
  padding: 30px;
  display: flex;
  flex-direction: column;
  gap: 25px;
}
.gradient-generator .setting-area .input-field {
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  gap: 15px 6px;
}
.gradient-generator .setting-area .input-field p.label {
  text-transform: capitalize;
}
.gradient-generator .radial-option {
  display: none;
}
.gradient-generator .stops-area {
  border: 1px solid var(--gray200);
  background-color: rgba(50, 107, 230, 0.05);
  border-radius: 15px;
  padding: 30px;
  background-color: #fff;
  display: flex;
  flex-direction: column;
  gap: 25px;
}

.gradient-preset {
  display: flex;
  gap: 6px;
}
.gradient-preset button {
  font-size: 0;
  flex-grow: 1;
  aspect-ratio: 1/1;
  border-radius: 6px;
}

.gradient-bar {
  position: relative;
  width: 100%;
  border-radius: 100px;
  height: 6px;
  background-color: var(--gray200);
}
.gradient-bar .color-stop {
  position: absolute;
  top: 50%;
  width: 12px;
  height: 12px;
  border: 2px solid #fff;
  border-radius: 100%;
  background-color: #222;
  transform: translate(-50%, -50%);
  cursor: grab;
}
.gradient-bar .color-stop.active {
  background-color: var(--red);
}

.stop-list {
  display: flex;
  flex-direction: column;
  gap: 5px;
}
.stop-list .item {
  --btnHeight: 34px;
  --btnRadius: 5px;
  display: flex;
  align-items: center;
  gap: 5px;
  font-size: 0.9rem;
  background-color: rgba(50, 107, 230, 0.05);
  border: 1px solid var(--gray200);
  border-radius: 6px;
  padding: 5px;
}
.stop-list .item.active {
  border-color: var(--primaryColor);
}
.stop-list input[type=color] {
  width: var(--btnHeight);
  border-radius: var(--btnRadius);
}
.stop-list .btn-delete {
  margin-left: auto;
  margin-right: 5px;
}

.css-area {
  border: 1px solid var(--gray200);
  background-color: rgba(50, 107, 230, 0.05);
  border-radius: 15px;
  padding: 30px;
  border-color: transparent;
  background-color: rgba(0, 0, 0, 0.8);
  color: #fff;
  position: relative;
}
.css-area h3 {
  margin-bottom: 15px;
}
.css-area code {
  display: block;
  font-size: 1rem;
  line-height: 1.6;
  word-break: break-all;
  color: rgba(255, 255, 255, 0.7);
  font-family: "Consolas", arial;
  font-weight: 300;
}
.css-area .btn-copy-code {
  position: absolute;
  right: 25px;
  top: 25px;
  font-size: 0.9rem;
  height: 40px;
  border-radius: 100px;
  width: 102px;
}

/***************************************** Modal *****************************************/
.pop-bg {
  position: fixed;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  display: flex;
  justify-content: center;
  align-items: center;
  display: none;
  z-index: 90;
  background: rgba(0, 0, 0, 0.3);
}

.pop-layer {
  display: flex;
  flex-direction: column;
  width: 350px;
  border-radius: 15px;
  border: 1px solid rgba(0, 0, 0, 0.1);
  background: #fff;
  z-index: 10;
  overflow: hidden;
  padding: 30px;
}
.pop-layer .btm-btns {
  margin-top: 30px;
}

.pop-con {
  flex-grow: 1;
  overflow: auto;
}